/* tslint:disable */
/* eslint-disable */
import { HttpClient, HttpContext, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { filter, map } from 'rxjs/operators';
import { StrictHttpResponse } from '../../strict-http-response';
import { RequestBuilder } from '../../request-builder';

import { ScanRequestDto } from '../../models/scan-request-dto';

export interface MergeOrderPdf$Params {
      body?: FormData
}

export function mergeOrderPdf(http: HttpClient, rootUrl: string, params?: MergeOrderPdf$Params, context?: HttpContext): Observable<StrictHttpResponse<{
}>> {
  const rb = new RequestBuilder(rootUrl, mergeOrderPdf.PATH, 'post');
  if (params) {
    rb.body(params.body);
  }

  return http.request(
    rb.build({ responseType: 'json', accept: 'application/json', context })
  ).pipe(
    filter((r: any): r is HttpResponse<any> => r instanceof HttpResponse),
    map((r: HttpResponse<any>) => {
      return r as StrictHttpResponse<{
      }>;
    })
  );
}

mergeOrderPdf.PATH = '/v1/orders/pdf/upload';
